import { builder } from './DataBuilder';
export * from './DataBuilder';
export * from './column';
export * from './RankingBuilder';
export * from './adapter';
/**
 * build a new Taggle instance in the given node for the given data
 * @param {HTMLElement} node DOM node to attach to
 * @param {any[]} data data to visualize
 * @param {string[]} columns optional enforced column order
 * @returns {Taggle}
 */
export function asTaggle(node, data) {
    var columns = [];
    for (var _i = 2; _i < arguments.length; _i++) {
        columns[_i - 2] = arguments[_i];
    }
    var _a;
    return (_a = builder(data)).deriveColumns.apply(_a, columns).deriveColors()
        .defaultRanking()
        .buildTaggle(node);
}
/**
 * build a new LineUp instance in the given node for the given data
 * @param {HTMLElement} node DOM node to attach to
 * @param {any[]} data data to visualize
 * @param {string[]} columns optional enforced column order
 * @returns {LineUp}
 */
export function asLineUp(node, data) {
    var columns = [];
    for (var _i = 2; _i < arguments.length; _i++) {
        columns[_i - 2] = arguments[_i];
    }
    var _a;
    return (_a = builder(data)).deriveColumns.apply(_a, columns).deriveColors()
        .defaultRanking()
        .build(node);
}
//# sourceMappingURL=index.js.map