/**
 * main module of LineUp.js containing the main class and exposes all other modules
 */
import './style.scss';
import LocalDataProvider from './provider/LocalDataProvider';
import LineUp from './ui/LineUp';
import Taggle from './ui/taggle';
export * from './provider';
export * from './renderer';
export * from './model';
export * from './builder';
export * from './ui';
export * from './interfaces';
export * from './config';
export { default } from './ui/LineUp';
/**
 * LineUp version
 * @type {string}
 */
export var version = __VERSION__;
/**
 * LineUp unique build id
 * @type {string}
 */
export var buildId = __BUILD_ID__;
/**
 * LineUp license type
 * @type {string}
 */
export var license = __LICENSE__;
export function createLocalDataProvider(data, columns, options) {
    if (options === void 0) { options = {}; }
    return new LocalDataProvider(data, columns, options);
}
/**
 *
 * @param container the html element lineup should be built in
 * @param data {ADataProvider} the data providier
 * @param config {Partial<ILineUpOptions>} lineup configuration overrides
 * @returns {LineUp} the created lineup instance
 */
export function createLineUp(container, data, config) {
    if (config === void 0) { config = {}; }
    return new LineUp(container, data, config);
}
export function createTaggle(container, data, config) {
    if (config === void 0) { config = {}; }
    return new Taggle(container, data, config);
}
//# sourceMappingURL=index.js.map