export interface IColorMappingFunctionBase {
    apply(v: number): string;
    dump(): any;
    clone(): IColorMappingFunction;
    eq(other: IColorMappingFunction): boolean;
}
export interface IInterpolateColorMappingFunction extends IColorMappingFunctionBase {
    type: 'sequential' | 'divergent';
    name: string;
}
export interface IQuantizedColorMappingFunction extends IColorMappingFunctionBase {
    type: 'quantized';
    base: IColorMappingFunction;
    steps: number;
}
export interface ISolidColorMappingFunction extends IColorMappingFunctionBase {
    type: 'solid';
    color: string;
}
export interface ICustomColorMappingFunction extends IColorMappingFunctionBase {
    type: 'custom';
    entries: {
        value: number;
        color: string;
    }[];
}
export declare type IColorMappingFunction = ISolidColorMappingFunction | ICustomColorMappingFunction | IQuantizedColorMappingFunction | IInterpolateColorMappingFunction;
