import Column, { IColumnDesc } from '../model/Column';
import Ranking from '../model/Ranking';
export interface IDeriveOptions {
    /**
     * maximal percentage of unique values to be treated as a categorical column
     */
    categoricalThreshold: number;
    columns: string[];
}
export declare function deriveColumnDescriptions(data: any[], options?: Partial<IDeriveOptions>): IColumnDesc[];
/**
 * assigns colors to columns if they are numbers and not yet defined
 * @param columns
 * @returns {IColumnDesc[]}
 */
export declare function deriveColors(columns: IColumnDesc[]): IColumnDesc[];
export interface IExportOptions {
    /**
     * export separator, default: '\t'
     */
    separator: string;
    /**
     * new line character, default: '\n'
     */
    newline: string;
    /**
     * should a header be generated, default: true
     */
    header: boolean;
    /**
     * quote strings, default: false
     */
    quote: boolean;
    /**
     * quote string to use, default: '"'
     */
    quoteChar: string;
    /**
     * filter specific column types, default: exclude all support types (selection, action, rank)
     * @param col the column description to filter
     */
    filter: (col: Column) => boolean;
    /**
     * whether the description should be part of the column header
     */
    verboseColumnHeaders: boolean;
}
/**
 * utility to export a ranking to a table with the given separator
 * @param ranking
 * @param data
 * @param options
 * @returns {Promise<string>}
 */
export declare function exportRanking(ranking: Ranking, data: any[], options?: Partial<IExportOptions>): string;
