import GroupColumn from '../model/GroupColumn';
import { noRenderer } from './utils';
/** @internal */
var GroupCellRenderer = /** @class */ (function () {
    function GroupCellRenderer() {
        this.title = 'Default';
    }
    GroupCellRenderer.prototype.canRender = function (col) {
        return col instanceof GroupColumn;
    };
    GroupCellRenderer.prototype.create = function () {
        return {
            template: "<div><div></div></div>",
            update: function (node, _row, i, group) {
                var p = node.firstElementChild;
                if (i !== 0) {
                    p.textContent = '';
                }
                else if (Array.isArray(group.order)) {
                    p.textContent = group.name + " (" + group.order.length + ")";
                }
                else {
                    p.textContent = group.name;
                }
            },
            render: function (_ctx, _row, _i, _group, meta) { return Boolean(meta); }
        };
    };
    GroupCellRenderer.prototype.createGroup = function () {
        return {
            template: "<div><div></div></div>",
            update: function (node, group, rows) {
                node.firstElementChild.textContent = group.name + " (" + rows.length + ")";
            }
        };
    };
    GroupCellRenderer.prototype.createSummary = function () {
        return noRenderer;
    };
    return GroupCellRenderer;
}());
export default GroupCellRenderer;
//# sourceMappingURL=GroupCellRenderer.js.map