import { IExceptionContext, ITableSection } from 'lineupengine';
import { IGroupData, IGroupItem } from '../model';
import { IRankingHeaderContextContainer } from './interfaces';
export declare enum EMode {
    ITEM = "item",
    BAND = "band"
}
export interface ISlopeGraphOptions {
    mode: EMode;
}
export default class SlopeGraph implements ITableSection {
    readonly header: HTMLElement;
    readonly body: HTMLElement;
    readonly id: string;
    private readonly ctx;
    readonly node: SVGSVGElement;
    private leftSlopes;
    private rightSlopes;
    private readonly pool;
    private scrollListener;
    readonly width: number;
    readonly height = 0;
    private current;
    private _mode;
    constructor(header: HTMLElement, body: HTMLElement, id: string, ctx: IRankingHeaderContextContainer, options?: Partial<ISlopeGraphOptions>);
    init(): void;
    private initHeader;
    mode: EMode;
    hidden: boolean;
    hide(): void;
    show(): void;
    destroy(): void;
    rebuild(left: (IGroupItem | IGroupData)[], leftContext: IExceptionContext, right: (IGroupItem | IGroupData)[], rightContext: IExceptionContext): void;
    private computeSlopes;
    private prepareRightSlopes;
    private revalidate;
    highlight(dataIndex: number): boolean | undefined;
    private onScrolledVertically;
    private choose;
    private render;
    private matchLength;
    updateSelection(selectedDataIndices: Set<number>): void;
}
