import { uniqueId } from './dialogs/utils';
import { cssClass } from '../styles';
/** @internal */
export var filterMissingText = 'Filter rows containing missing values';
/** @internal */
export function filterMissingMarkup(bakMissing, idPrefix) {
    var id = uniqueId(idPrefix);
    return "<div class=\"" + cssClass('checkbox') + "\">\n    <input type=\"checkbox\" " + (bakMissing ? 'checked="checked"' : '') + " id=\"" + id + "\">\n    <label for=\"" + id + "\" class=\"" + cssClass('filter-missing') + "\">" + filterMissingText + "</label>\n  </div>";
}
/** @internal */
export function filterMissingNumberMarkup(bakMissing, count, idPrefix) {
    var id = uniqueId(idPrefix);
    return "<div class=\"" + cssClass('checkbox') + "\">\n    <input type=\"checkbox\" " + (bakMissing ? 'checked="checked"' : '') + " " + (count === 0 ? 'disabled' : '') + " id=\"" + id + "\">\n    <label for=\"" + id + "\" class=\"" + cssClass('filter-missing') + " " + (count === 0 ? cssClass('disabled') : '') + "\">Filter " + count + " missing value rows</label>\n  </div>";
}
/** @internal */
export function findFilterMissing(node) {
    return node.querySelector("." + cssClass('filter-missing')).previousElementSibling;
}
/** @internal */
export function updateFilterMissingNumberMarkup(element, count) {
    var checked = element.querySelector('input');
    checked.disabled = count === 0;
    element.lastElementChild.classList.toggle(cssClass('disabled'), count === 0);
    element.lastElementChild.textContent = "Filter " + count + " missing value rows";
}
//# sourceMappingURL=missing.js.map