import Column from '../model/Column';
import { IDialogContext } from './dialogs/ADialog';
import { IRankingHeaderContext } from './interfaces';
export interface IUIOptions {
    shortcut: boolean | 'only';
    order: number;
    featureLevel: 'basic' | 'advanced';
    featureCategory: 'ranking' | 'model' | 'ui';
}
export interface IOnClickHandler {
    (col: Column, evt: MouseEvent, ctx: IRankingHeaderContext, level: number, viaShortcut: boolean): any;
}
export interface IToolbarAction {
    title: string;
    onClick: IOnClickHandler;
    options: Partial<IUIOptions>;
}
export interface IToolbarDialogAddon {
    title: string;
    order: number;
    append(col: Column, node: HTMLElement, dialog: IDialogContext, ctx: IRankingHeaderContext): void;
}
export declare function dialogContext(ctx: IRankingHeaderContext, level: number, attachment: HTMLElement | MouseEvent): IDialogContext;
export declare const toolbarActions: {
    [key: string]: IToolbarAction | IToolbarDialogAddon;
};
